package com.unis.inspection.app.config;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.unis.inspectionresult.common.vo.Jcdwtjb;
import com.unis.inspectionresult.common.vo.Qyjsjctjb;

import java.util.List;

/**
 * @Classname QyjsjcListener
 * @Description 检查单位检查监听器
 * @Date 2023/11/24 17:47
 * @Created by rising123sun
 */
public class JcdwListener extends AnalysisEventListener<Jcdwtjb> {

    public List<Jcdwtjb> dataList;

    public JcdwListener(List<Jcdwtjb> dataList) {
        this.dataList = dataList;
    }

    @Override
    public void invoke(Jcdwtjb data, AnalysisContext context) {
        if (data != null) {
            dataList.add(data);
        }
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext context) {
        //可以在此处处理数据，例如保存到数据库
    }
}
