/*
 * DailyCheckResultController.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-08-26 16:21:29 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.inspection.service;

import com.github.pagehelper.PageInfo;
import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.common.vo.AppVO;
import com.unis.inspectionresult.common.vo.resultback.DailyCheckResultVO;
import com.unis.inspectionresult.common.vo.resultback.DailyCheckSearchVO;
import com.unis.inspectionresult.common.vo.resultback.DevelopmentSituationQueryVO;
import com.unis.inspectiontask.common.vo.TaskVO;

import java.io.IOException;

/**
 * T_JCJG-检查结果
 * @author lipenghe at 2019-08-26 16:21:29
 */
public interface DailyCheckResultService {

    public ResponseWrapper insertEntitySelective(DailyCheckResultVO checkResultVO);

    public ResponseWrapper selectById(DailyCheckResultVO checkResultVO);

    public  void fillAppVO(String checkResultStatus, String taskTypeId, AppVO appVO);

    public void dataCallBackOnFinish(ResponseWrapper responseWrapper);

    public ResponseWrapper  selectPageByEntity(int pageNum,int pageSize,DailyCheckResultVO checkResultVO);

    public ResponseWrapper  selectPageByEntityForKSH(int pageNum,int pageSize,DailyCheckSearchVO dailyCheckSearchVO);

    public ResponseWrapper  selectTeamPageByEntity(int pageNum,int pageSize,DailyCheckResultVO checkResultVO);

    PageInfo getDailyCheckResultPageList(String rybh, int pageNum, int pageSize) throws IOException;

    ResponseWrapper developmentSituationList(DevelopmentSituationQueryVO developmentSituationQueryVO);
    
    public ResponseWrapper  dailyCheckResultPageForQYXXK(int pageNum,int pageSize,DailyCheckResultVO checkResultVO);
    
    // 更新检查人信息
    void updateTJczzy(TaskVO taskVO);
}
